# $Revision: 1.19 $, $Date: 2009/09/18 08:08:35 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Calc-Units
Summary:	Math::Calc::Units - human-readable unit-aware calculator
Summary(pl.UTF-8):	Math::Calc::Units - kalkulator obsługujący jednostki
Name:		perl-Math-Calc-Units
Version:	1.07
Release:	1
License:	GPL v2 or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	56e4be0e64d6c8fc27c8f87d0d3cebd8
URL:		http://search.cpan.org/dist/Math-Calc-Units/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Calc::Units is a simple calculator that keeps track of units. It
currently handles combinations of byte sizes and duration only,
although adding any other multiplicative types is easy. Any unknown
type is treated as a unique user type (with some effort to map English
plurals to their singular forms).

The primary intended use is via the ucalc script that prints out all
of the "readable" variants of a value. For example, "3 bytes" will
only produce "3 byte", but "3 byte / sec" produces the original along
with "180 byte / minute", "10.55 kilobyte / hour", etc.

%description -l pl.UTF-8
Math::Calc::Units to prosty kalkulator zachowujący jednostki.
Aktualnie obsługuje tylko kombinacje rozmiaru w bajtach i czasu, ale
dodanie dowolnych typów multiplikatywnych jest proste. Każdy nieznany
typ jest traktowany jako unikalny typ użytkownika (z próbą zamiany
angielskich form mnogich na pojedyncze).

Podstawowy sposób użycia to skrypt ucalc, wypisujący wszystkie
"czytelne" warianty wartości. Na przykład "3 bytes" daje tylko "3
byte", ale "3 byte / sec" daje wartość oryginalną oraz "180 byte /
minute", "10.55 kilobyte / hour" itd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/Math/Calc/Units.pm
%{perl_vendorlib}/Math/Calc/Units
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Calc-Units.spec,v $
Revision 1.19  2009/09/18 08:08:35  amateja
- updated to 1.07

Revision 1.18  2007/12/24 14:01:34  qboosh
- generic URL

Revision 1.17  2007-12-24 01:27:32  zbyniu
- up to 1.06

Revision 1.16  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.14  2004/12/01 17:51:36  radek
- autoupdated to 1.03

Revision 1.13  2004/11/03 22:30:33  paladine
- formatting

Revision 1.12  2004/06/05 18:10:44  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/06 18:20:38  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/20 23:59:36  ankry
- ported to new bconds

Revision 1.9  2004/04/14 21:16:31  ankry
- cosmetics, unification

Revision 1.8  2003/08/18 08:08:59  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:48  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:20:46  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:40:16  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:29  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/07 15:04:55  qboosh
- new
